# -*- encoding: utf-8 -*-
# stub: asset_sync 2.19.2 ruby lib

Gem::Specification.new do |s|
  s.name = "asset_sync".freeze
  s.version = "2.19.2".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Simon Hamilton".freeze, "David Rice".freeze, "Phil McClure".freeze, "Toby Osbourn".freeze]
  s.date = "2024-08-29"
  s.description = "After you run assets:precompile your compiled assets will be synchronised with your S3 bucket.".freeze
  s.email = ["shamilton@rumblelabs.com".freeze, "me@davidjrice.co.uk".freeze, "pmcclure@rumblelabs.com".freeze, "tosbourn@rumblelabs.com".freeze]
  s.files = [".editorconfig".freeze, ".github/workflows/codeql.yml".freeze, ".github/workflows/tests.yaml".freeze, ".gitignore".freeze, ".travis.yml".freeze, "Appraisals".freeze, "CHANGELOG.md".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "UPGRADING.md".freeze, "asset_sync.gemspec".freeze, "docs/heroku.md".freeze, "gemfiles/rails_6_1.gemfile".freeze, "gemfiles/rails_7_0.gemfile".freeze, "gemfiles/rails_7_1.gemfile".freeze, "gemfiles/rails_7_2.gemfile".freeze, "lib/asset_sync.rb".freeze, "lib/asset_sync/asset_sync.rb".freeze, "lib/asset_sync/config.rb".freeze, "lib/asset_sync/engine.rb".freeze, "lib/asset_sync/multi_mime.rb".freeze, "lib/asset_sync/railtie.rb".freeze, "lib/asset_sync/storage.rb".freeze, "lib/asset_sync/version.rb".freeze, "lib/generators/asset_sync/install_generator.rb".freeze, "lib/generators/asset_sync/templates/asset_sync.rb".freeze, "lib/generators/asset_sync/templates/asset_sync.yml".freeze, "lib/tasks/asset_sync.rake".freeze, "spec/dummy_app/Rakefile".freeze, "spec/dummy_app/app/assets/javascripts/application.js".freeze, "spec/fixtures/aws_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/azure_rm_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/backblaze_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/google_with_service_account_yml/config/asset_sync.yml".freeze, "spec/fixtures/google_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/rackspace_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/with_invalid_yml/config/asset_sync.yml".freeze, "spec/integration/aws_integration_spec.rb".freeze, "spec/integration/azure_rm_integration_spec.rb".freeze, "spec/integration/backblaze_intergration_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/asset_sync_spec.rb".freeze, "spec/unit/azure_rm_spec.rb".freeze, "spec/unit/backblaze_spec.rb".freeze, "spec/unit/google_spec.rb".freeze, "spec/unit/multi_mime_spec.rb".freeze, "spec/unit/rackspace_spec.rb".freeze, "spec/unit/railsless_spec.rb".freeze, "spec/unit/storage_spec.rb".freeze]
  s.homepage = "https://github.com/rumblelabs/asset_sync".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.5.18".freeze
  s.summary = "Synchronises Assets in a Rails 3 application and Amazon S3/Cloudfront and Rackspace Cloudfiles".freeze
  s.test_files = ["spec/dummy_app/Rakefile".freeze, "spec/dummy_app/app/assets/javascripts/application.js".freeze, "spec/fixtures/aws_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/azure_rm_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/backblaze_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/google_with_service_account_yml/config/asset_sync.yml".freeze, "spec/fixtures/google_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/rackspace_with_yml/config/asset_sync.yml".freeze, "spec/fixtures/with_invalid_yml/config/asset_sync.yml".freeze, "spec/integration/aws_integration_spec.rb".freeze, "spec/integration/azure_rm_integration_spec.rb".freeze, "spec/integration/backblaze_intergration_spec.rb".freeze, "spec/spec_helper.rb".freeze, "spec/unit/asset_sync_spec.rb".freeze, "spec/unit/azure_rm_spec.rb".freeze, "spec/unit/backblaze_spec.rb".freeze, "spec/unit/google_spec.rb".freeze, "spec/unit/multi_mime_spec.rb".freeze, "spec/unit/rackspace_spec.rb".freeze, "spec/unit/railsless_spec.rb".freeze, "spec/unit/storage_spec.rb".freeze]

  s.specification_version = 4

  s.add_runtime_dependency(%q<fog-core>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<unf>.freeze, [">= 0".freeze])
  s.add_runtime_dependency(%q<activemodel>.freeze, [">= 4.1.0".freeze])
  s.add_runtime_dependency(%q<mime-types>.freeze, [">= 2.99".freeze])
  s.add_development_dependency(%q<rspec>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<coveralls>.freeze, [">= 0.7".freeze])
  s.add_development_dependency(%q<mime-types>.freeze, [">= 3.0".freeze])
  s.add_development_dependency(%q<fog-aws>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<gitlab-fog-azure-rm>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<fog-backblaze>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<uglifier>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<appraisal>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<gem-release>.freeze, [">= 0".freeze])
end

